com.r3corda.core.math / SplineFunction

# SplineFunction

`class SplineFunction`

A spline is function piecewise-defined by polynomial functions. Points at which polynomial pieces connect are known as knots.

### Parameters

`segmentMap` - a mapping between a knot and the polynomial that covers the subsequent interval.

### Constructors

<init> | `SplineFunction(segmentMap: TreeMap<Double, Polynomial>)` A spline is function piecewise-defined by polynomial functions. Points at which polynomial pieces connect are known as knots.

### Functions

getValue | `fun getValue(x: Double): Double`